/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <p18f26j50.h>            /* HiTech General Includes */

/******************************************************************************/
/* Configuration Bits                                                         */
/*                                                                            */
/* Refer to 'HI-TECH PICC and PICC18 Toolchains > PICC18 Configuration        */
/* Settings' under Help > Contents in MPLAB X IDE for available PIC18         */
/* Configuration Bit Settings for the correct macros when using the C18       */
/* compiler.  When using the Hi-Tech PICC18 compiler, refer to the compiler   */
/* manual.pdf in the compiler installation doc directory section on           */
/* 'Configuration Fuses'.  The device header file in the HiTech PICC18        */
/* compiler installation directory contains the available macros to be        */
/* embedded.                                                                  */
/*                                                                            */
/* For additional information about what the hardware configurations mean in  */
/* terms of device operation, refer to the device datasheet.                  */
/*                                                                            */
/* General C18 syntax for configuration macros:                               */
/* #pragma config <Macro Name>=<Setting>, <Macro Name>=<Setting>, ...         */
/*                                                                            */
/* General HiTech PICC18 syntax:                                              */
/* __CONFIG(n,x);                                                             */
/*                                                                            */
/* n is the config word number and x represents the anded macros from the     */
/* device header file in the PICC18 compiler installation include directory.  */
/*                                                                            */
/******************************************************************************/

/* TODO Fill in your configuration bits here.  */

#pragma config WDTEN = OFF      // Watchdog Timer (Disabled - Controlled by SWDTEN bit)

#pragma config PLLDIV = 3       // PLL Prescaler Selection bits (Divide by 3 (12 MHz oscillator input))

#pragma config STVREN = OFF      // Stack Overflow/Underflow Reset  (Enabled)

#pragma config XINST = OFF       // Extended Instruction Set (Enabled)


// CONFIG1H
#pragma config CPUDIV = OSC1    // CPU System Clock Postscaler (No CPU system clock divide)

#pragma config CP0 = OFF        // Code Protect (Program memory is not code-protected)


// CONFIG2L
#pragma config OSC = ECPLL      // Oscillator (EC+PLL (CLKO-RA6), USB-EC+PLL)

#pragma config T1DIG = ON       // T1OSCEN Enforcement (Secondary Oscillator clock source may be selected)

#pragma config LPT1OSC = OFF    // Low-Power Timer1 Oscillator (High-power operation)

#pragma config FCMEN = ON       // Fail-Safe Clock Monitor (Enabled)

#pragma config IESO = ON        // Internal External Oscillator Switch Over Mode (Enabled)


// CONFIG2H
#pragma config WDTPS = 32768    // Watchdog Postscaler (1:32768)


// CONFIG3L
#pragma config DSWDTOSC = INTOSCREF// DSWDT Clock Select (DSWDT uses INTRC)

#pragma config RTCOSC = T1OSCREF// RTCC Clock Select (RTCC uses T1OSC/T1CKI)

#pragma config DSBOREN = OFF     // Deep Sleep BOR (Enabled)

#pragma config DSWDTEN = OFF     // Deep Sleep Watchdog Timer (Enabled)

#pragma config DSWDTPS = G2     // Deep Sleep Watchdog Postscaler (1:2,147,483,648 (25.7 days))


// CONFIG3H
#pragma config IOL1WAY = ON     // IOLOCK One-Way Set Enable bit (The IOLOCK bit (PPSCON<0>) can be set once)

#pragma config MSSP7B_EN = MSK7 // MSSP address masking (7 Bit address masking mode)


// CONFIG4L
#pragma config WPFP = PAGE_0   // Write/Erase Protect Page Start/End Location (Write Protect Program Flash Page 63)

#pragma config WPEND = PAGE_0// Write/Erase Protect Region Select (valid when WPDIS = 0) (Page WPFP<5:0> through Configuration Words erase/write protected)

#pragma config WPCFG = OFF      // Write/Erase Protect Configuration Region (Configuration Words page not erase/write-protected)


// CONFIG4H
#pragma config WPDIS = OFF      // Write Protect Disable bit (WPFP<5:0>/WPEND region ignored)

