/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <htc.h>           

#include "system.h"        
#include "user.h"          

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/


short ADDRESS;



/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/

void main(void)
{
	short command,i = 0;
	ConfigureOscillator();
	InitApp();
	ADDRESS = ReadFlash();
	if(!JMP_PORT) {
	    ADDRESS = 0xFF;
	    EraseFlash();
	}
	while(1)
	{
	    if(RecieveAddressI2C()){
		    command = RecieveCommandI2C();
		    if(ADDRESS == 0xFF && !JMP_PORT){
			ADDRESS = command;
			WriteFlash(ADDRESS, 0x600);
		    }
		    else{

			switch(command){
			/*Write Enable*/
			case 0x11: {
				CLC1CONbits.LC1EN = 1;
				DE_LAT = 1;
			}break;
			/*Read Enable*/
			case 0x12:{
				CLC2CONbits.LC2EN = 1;
				nRE_LAT = 0;
			}break;
			/*Write/Read Enable*/
			case 0x13:{
				CLC1CONbits.LC1EN = 1;
				CLC2CONbits.LC2EN = 1;
				DE_LAT = 1;
				nRE_LAT = 0;
			}break;
			/*Write Disable*/
			case 0x21:{
				CLC1CONbits.LC1EN = 0;
				DE_LAT = 1;
			}break;
			/*Read Disable*/
			case 0x22:{
				CLC2CONbits.LC2EN = 0;
				nRE_LAT = 1;
			}break;
			/*Write/Read Disable*/
			case 0x23:{
				CLC1CONbits.LC1EN = 0;
				CLC2CONbits.LC2EN = 0;
				DE_LAT = 0;
				nRE_LAT = 1;
			}break;
			default: break;
			}
		    }
	    }
	}
}


